4fb36404df7c3d6c1c9a9969bfe6deb1bcdbec6f
[scilab.git] / scilab / modules / arnoldi / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 # Copyright (C) 2012 - Scilab Enterprises- Cedric Delamarre
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # Copyright (C) 2012 - 2016 - Scilab Enterprises
28 #
29 # This file is hereby licensed under the terms of the GNU GPL v2.0,
30 # pursuant to article 5.3.4 of the CeCILL v.2.1.
31 # This file was originally licensed under the terms of the CeCILL v2.1,
32 # and continues to be available under such terms.
33 # For more information, see the COPYING file which you should have received
34 # along with this program.
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43 VPATH = @srcdir@
44 am__is_gnu_make = { \
45   if test -z '$(MAKELEVEL)'; then \
46     false; \
47   elif test -n '$(MAKE_HOST)'; then \
48     true; \
49   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
50     true; \
51   else \
52     false; \
53   fi; \
54 }
55 am__make_running_with_option = \
56   case $${target_option-} in \
57       ?) ;; \
58       *) echo "am__make_running_with_option: internal error: invalid" \
59               "target option '$${target_option-}' specified" >&2; \
60          exit 1;; \
61   esac; \
62   has_opt=no; \
63   sane_makeflags=$$MAKEFLAGS; \
64   if $(am__is_gnu_make); then \
65     sane_makeflags=$$MFLAGS; \
66   else \
67     case $$MAKEFLAGS in \
68       *\\[\ \   ]*) \
69         bs=\\; \
70         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
71           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
72     esac; \
73   fi; \
74   skip_next=no; \
75   strip_trailopt () \
76   { \
77     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
78   }; \
79   for flg in $$sane_makeflags; do \
80     test $$skip_next = yes && { skip_next=no; continue; }; \
81     case $$flg in \
82       *=*|--*) continue;; \
83         -*I) strip_trailopt 'I'; skip_next=yes;; \
84       -*I?*) strip_trailopt 'I';; \
85         -*O) strip_trailopt 'O'; skip_next=yes;; \
86       -*O?*) strip_trailopt 'O';; \
87         -*l) strip_trailopt 'l'; skip_next=yes;; \
88       -*l?*) strip_trailopt 'l';; \
89       -[dEDm]) skip_next=yes;; \
90       -[JT]) skip_next=yes;; \
91     esac; \
92     case $$flg in \
93       *$$target_option*) has_opt=yes; break;; \
94     esac; \
95   done; \
96   test $$has_opt = yes
97 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
98 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
99 pkgdatadir = $(datadir)/@PACKAGE@
100 pkgincludedir = $(includedir)/@PACKAGE@
101 pkglibdir = $(libdir)/@PACKAGE@
102 pkglibexecdir = $(libexecdir)/@PACKAGE@
103 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
104 install_sh_DATA = $(install_sh) -c -m 644
105 install_sh_PROGRAM = $(install_sh) -c
106 install_sh_SCRIPT = $(install_sh) -c
107 INSTALL_HEADER = $(INSTALL_DATA)
108 transform = $(program_transform_name)
109 NORMAL_INSTALL = :
110 PRE_INSTALL = :
111 POST_INSTALL = :
112 NORMAL_UNINSTALL = :
113 PRE_UNINSTALL = :
114 POST_UNINSTALL = :
115 build_triplet = @build@
116 host_triplet = @host@
117 @NEED_JAVA_TRUE@am__append_1 = java
118 subdir = modules/arnoldi
119 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
121         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
122         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
123         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
124         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
125         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
126         $(top_srcdir)/m4/intel_compiler.m4 \
127         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
128         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
129         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
130         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
131         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
132         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
133         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
134         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
135         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
136         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
137         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
138 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
139         $(ACLOCAL_M4)
140 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
141 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
142 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
143 CONFIG_CLEAN_FILES =
144 CONFIG_CLEAN_VPATH_FILES =
145 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146 am__vpath_adj = case $$p in \
147     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148     *) f=$$p;; \
149   esac;
150 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151 am__install_max = 40
152 am__nobase_strip_setup = \
153   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154 am__nobase_strip = \
155   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156 am__nobase_list = $(am__nobase_strip_setup); \
157   for p in $$list; do echo "$$p $$p"; done | \
158   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160     if (++n[$$2] == $(am__install_max)) \
161       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162     END { for (dir in files) print dir, files[dir] }'
163 am__base_list = \
164   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166 am__uninstall_files_from_dir = { \
167   test -z "$$files" \
168     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170          $(am__cd) "$$dir" && rm -f $$files; }; \
171   }
172 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
173         "$(DESTDIR)$(libsciarnoldi_la_etcdir)" \
174         "$(DESTDIR)$(libsciarnoldi_la_rootdir)" \
175         "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)"
176 LTLIBRARIES = $(pkglib_LTLIBRARIES)
177 am__DEPENDENCIES_1 =
178 libsciarnoldi_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
179         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
180 am__dirstamp = $(am__leading_dot)dirstamp
181 am__objects_1 = src/c/libsciarnoldi_la-eigs.lo \
182         src/c/libsciarnoldi_la-eigs_dependencies.lo
183 am__objects_2 = sci_gateway/c/libsciarnoldi_la-sci_dseupd.lo \
184         sci_gateway/c/libsciarnoldi_la-sci_zneupd.lo \
185         sci_gateway/c/libsciarnoldi_la-sci_dnaupd.lo \
186         sci_gateway/c/libsciarnoldi_la-sci_dneupd.lo \
187         sci_gateway/c/libsciarnoldi_la-sci_dsaupd.lo \
188         sci_gateway/c/libsciarnoldi_la-sci_znaupd.lo \
189         sci_gateway/c/libsciarnoldi_la-sci_eigs.lo
190 am_libsciarnoldi_la_OBJECTS = $(am__objects_1) $(am__objects_2)
191 libsciarnoldi_la_OBJECTS = $(am_libsciarnoldi_la_OBJECTS)
192 AM_V_lt = $(am__v_lt_@AM_V@)
193 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
194 am__v_lt_0 = --silent
195 am__v_lt_1 = 
196 libsciarnoldi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
197         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
198         $(AM_CFLAGS) $(CFLAGS) $(libsciarnoldi_la_LDFLAGS) $(LDFLAGS) \
199         -o $@
200 AM_V_P = $(am__v_P_@AM_V@)
201 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
202 am__v_P_0 = false
203 am__v_P_1 = :
204 AM_V_GEN = $(am__v_GEN_@AM_V@)
205 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
206 am__v_GEN_0 = @echo "  GEN     " $@;
207 am__v_GEN_1 = 
208 AM_V_at = $(am__v_at_@AM_V@)
209 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
210 am__v_at_0 = @
211 am__v_at_1 = 
212 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
213 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
214 am__depfiles_maybe = depfiles
215 am__mv = mv -f
216 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
217         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
218 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
220         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
221         $(AM_CFLAGS) $(CFLAGS)
222 AM_V_CC = $(am__v_CC_@AM_V@)
223 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
224 am__v_CC_0 = @echo "  CC      " $@;
225 am__v_CC_1 = 
226 CCLD = $(CC)
227 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
229         $(AM_LDFLAGS) $(LDFLAGS) -o $@
230 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
231 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
232 am__v_CCLD_0 = @echo "  CCLD    " $@;
233 am__v_CCLD_1 = 
234 SOURCES = $(libsciarnoldi_la_SOURCES)
235 DIST_SOURCES = $(libsciarnoldi_la_SOURCES)
236 am__can_run_installinfo = \
237   case $$AM_UPDATE_INFO_DIR in \
238     n|no|NO) false;; \
239     *) (install-info --version) >/dev/null 2>&1;; \
240   esac
241 DATA = $(libsciarnoldi_la_etc_DATA) $(libsciarnoldi_la_root_DATA) \
242         $(libsciarnoldi_la_sci_gateway_DATA)
243 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
244 # Read a list of newline-separated strings from the standard input,
245 # and print each of them once, without duplicates.  Input order is
246 # *not* preserved.
247 am__uniquify_input = $(AWK) '\
248   BEGIN { nonempty = 0; } \
249   { items[$$0] = 1; nonempty = 1; } \
250   END { if (nonempty) { for (i in items) print i; }; } \
251 '
252 # Make sure the list of sources is unique.  This is necessary because,
253 # e.g., the same source file might be shared among _SOURCES variables
254 # for different programs/libraries.
255 am__define_uniq_tagged_files = \
256   list='$(am__tagged_files)'; \
257   unique=`for i in $$list; do \
258     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
259   done | $(am__uniquify_input)`
260 ETAGS = etags
261 CTAGS = ctags
262 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
263         $(top_srcdir)/config/depcomp \
264         $(top_srcdir)/config/mkinstalldirs
265 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
266 ACLOCAL = @ACLOCAL@
267 ALL_LINGUAS = @ALL_LINGUAS@
268 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
269 AMTAR = @AMTAR@
270 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
271 ANT = @ANT@
272 ANTLR = @ANTLR@
273 AR = @AR@
274 ARPACK_LIBS = @ARPACK_LIBS@
275 ASM3 = @ASM3@
276 AUTOCONF = @AUTOCONF@
277 AUTOHEADER = @AUTOHEADER@
278 AUTOMAKE = @AUTOMAKE@
279 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
280 AWK = @AWK@
281 BATIK = @BATIK@
282 BLAS_CFLAGS = @BLAS_CFLAGS@
283 BLAS_LIBS = @BLAS_LIBS@
284 CC = @CC@
285 CCACHE = @CCACHE@
286 CCDEPMODE = @CCDEPMODE@
287 CFLAGS = @CFLAGS@
288 CHECKSTYLE = @CHECKSTYLE@
289 COBERTURA = @COBERTURA@
290 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
291 COMMONS_IO = @COMMONS_IO@
292 COMMONS_LOGGING = @COMMONS_LOGGING@
293 CPP = @CPP@
294 CPPFLAGS = @CPPFLAGS@
295 CURL_CFLAGS = @CURL_CFLAGS@
296 CURL_CONFIG = @CURL_CONFIG@
297 CURL_LIBS = @CURL_LIBS@
298 CURL_VERSION = @CURL_VERSION@
299 CXX = @CXX@
300 CXXCPP = @CXXCPP@
301 CXXDEPMODE = @CXXDEPMODE@
302 CXXFLAGS = @CXXFLAGS@
303 CYGPATH_W = @CYGPATH_W@
304 DEFS = @DEFS@
305 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
306 DEPDIR = @DEPDIR@
307 DLLTOOL = @DLLTOOL@
308 DOCBOOK_ROOT = @DOCBOOK_ROOT@
309 DOXYGEN_BIN = @DOXYGEN_BIN@
310 DSYMUTIL = @DSYMUTIL@
311 DUMPBIN = @DUMPBIN@
312 ECHO_C = @ECHO_C@
313 ECHO_N = @ECHO_N@
314 ECHO_T = @ECHO_T@
315 ECJ = @ECJ@
316 EGREP = @EGREP@
317 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
318 EXEEXT = @EXEEXT@
319 F77 = @F77@
320 FFLAGS = @FFLAGS@
321 FFTW3_LIB = @FFTW3_LIB@
322 FFTW_ENABLE = @FFTW_ENABLE@
323 FGREP = @FGREP@
324 FLEXDOCK = @FLEXDOCK@
325 FLIBS = @FLIBS@
326 FOP = @FOP@
327 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
328 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
329 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
330 FREEHEP_IO = @FREEHEP_IO@
331 FREEHEP_UTIL = @FREEHEP_UTIL@
332 GENHTML = @GENHTML@
333 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
334 GIWS_BIN = @GIWS_BIN@
335 GLUEGEN2_RT = @GLUEGEN2_RT@
336 GMSGFMT = @GMSGFMT@
337 GMSGFMT_015 = @GMSGFMT_015@
338 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
339 GREP = @GREP@
340 GUI_ENABLE = @GUI_ENABLE@
341 HAMCREST = @HAMCREST@
342 HAVE_CXX11 = @HAVE_CXX11@
343 HDF5_CFLAGS = @HDF5_CFLAGS@
344 HDF5_LIBS = @HDF5_LIBS@
345 HELP_ENABLE = @HELP_ENABLE@
346 INSTALL = @INSTALL@
347 INSTALL_DATA = @INSTALL_DATA@
348 INSTALL_PROGRAM = @INSTALL_PROGRAM@
349 INSTALL_SCRIPT = @INSTALL_SCRIPT@
350 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
351 INTLLIBS = @INTLLIBS@
352 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
353 JAR = @JAR@
354 JAVA = @JAVA@
355 JAVAC = @JAVAC@
356 JAVAC_DEBUG = @JAVAC_DEBUG@
357 JAVADOC = @JAVADOC@
358 JAVAH = @JAVAH@
359 JAVASCI_ENABLE = @JAVASCI_ENABLE@
360 JAVA_ENABLE = @JAVA_ENABLE@
361 JAVA_G = @JAVA_G@
362 JAVA_HOME = @JAVA_HOME@
363 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
364 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
365 JDB = @JDB@
366 JEUCLID_CORE = @JEUCLID_CORE@
367 JGRAPHX = @JGRAPHX@
368 JHALL = @JHALL@
369 JLATEXMATH = @JLATEXMATH@
370 JLATEXMATH_FOP = @JLATEXMATH_FOP@
371 JOGL2 = @JOGL2@
372 JROSETTA_API = @JROSETTA_API@
373 JROSETTA_ENGINE = @JROSETTA_ENGINE@
374 JUNIT4 = @JUNIT4@
375 LAPACK_LIBS = @LAPACK_LIBS@
376 LCOV = @LCOV@
377 LD = @LD@
378 LDFLAGS = @LDFLAGS@
379 LEX = @LEX@
380 LEXLIB = @LEXLIB@
381 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
382 LIBICONV = @LIBICONV@
383 LIBINTL = @LIBINTL@
384 LIBM = @LIBM@
385 LIBOBJS = @LIBOBJS@
386 LIBS = @LIBS@
387 LIBTOOL = @LIBTOOL@
388 LIPO = @LIPO@
389 LN_S = @LN_S@
390 LOGGING_LEVEL = @LOGGING_LEVEL@
391 LOOKS = @LOOKS@
392 LTLIBICONV = @LTLIBICONV@
393 LTLIBINTL = @LTLIBINTL@
394 LTLIBOBJS = @LTLIBOBJS@
395 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
396 LUCENE = @LUCENE@
397 LUCENE_ANALYZER = @LUCENE_ANALYZER@
398 LUCENE_PARSER = @LUCENE_PARSER@
399 MAINT = @MAINT@
400 MAKEINFO = @MAKEINFO@
401 MANIFEST_TOOL = @MANIFEST_TOOL@
402 MATIO_CFLAGS = @MATIO_CFLAGS@
403 MATIO_ENABLE = @MATIO_ENABLE@
404 MATIO_LIBS = @MATIO_LIBS@
405 MKDIR_P = @MKDIR_P@
406 MPI_ENABLE = @MPI_ENABLE@
407 MSGCAT = @MSGCAT@
408 MSGFMT = @MSGFMT@
409 MSGFMT_015 = @MSGFMT_015@
410 MSGMERGE = @MSGMERGE@
411 NM = @NM@
412 NMEDIT = @NMEDIT@
413 OBJDUMP = @OBJDUMP@
414 OBJEXT = @OBJEXT@
415 OCAMLC = @OCAMLC@
416 OCAMLDEP = @OCAMLDEP@
417 OCAMLLEX = @OCAMLLEX@
418 OCAMLOPT = @OCAMLOPT@
419 OCAMLYACC = @OCAMLYACC@
420 OPENMPI_CC = @OPENMPI_CC@
421 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
422 OPENMPI_CXX = @OPENMPI_CXX@
423 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
424 OPENMPI_LIBS = @OPENMPI_LIBS@
425 OPENMP_CFLAGS = @OPENMP_CFLAGS@
426 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
427 OPENMP_ENABLE = @OPENMP_ENABLE@
428 OPENMP_LIBS = @OPENMP_LIBS@
429 OTOOL = @OTOOL@
430 OTOOL64 = @OTOOL64@
431 PACKAGE = @PACKAGE@
432 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
433 PACKAGE_NAME = @PACKAGE_NAME@
434 PACKAGE_STRING = @PACKAGE_STRING@
435 PACKAGE_TARNAME = @PACKAGE_TARNAME@
436 PACKAGE_URL = @PACKAGE_URL@
437 PACKAGE_VERSION = @PACKAGE_VERSION@
438 PATH_SEPARATOR = @PATH_SEPARATOR@
439 PCRE_CFLAGS = @PCRE_CFLAGS@
440 PCRE_CONFIG = @PCRE_CONFIG@
441 PCRE_LIBS = @PCRE_LIBS@
442 PCRE_VERSION = @PCRE_VERSION@
443 PKG_CONFIG = @PKG_CONFIG@
444 POSUB = @POSUB@
445 POW_LIB = @POW_LIB@
446 PYTHON = @PYTHON@
447 RANLIB = @RANLIB@
448 RELOCATABLE = @RELOCATABLE@
449 RT_LIB = @RT_LIB@
450 SAXON = @SAXON@
451 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
452 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
453 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
454 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
455 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
456 SCIRENDERER = @SCIRENDERER@
457 SCIRENDERER_CP = @SCIRENDERER_CP@
458 SCI_CFLAGS = @SCI_CFLAGS@
459 SCI_CXXFLAGS = @SCI_CXXFLAGS@
460 SCI_FFLAGS = @SCI_FFLAGS@
461 SCI_LDFLAGS = @SCI_LDFLAGS@
462 SED = @SED@
463 SET_MAKE = @SET_MAKE@
464 SET_RELOCATABLE = @SET_RELOCATABLE@
465 SHELL = @SHELL@
466 SKINLF = @SKINLF@
467 SPLINT = @SPLINT@
468 STRIP = @STRIP@
469 SWIG_BIN = @SWIG_BIN@
470 SWIG_JAVA = @SWIG_JAVA@
471 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
472 SWIG_SCILAB = @SWIG_SCILAB@
473 TCLTK_LIBS = @TCLTK_LIBS@
474 TCL_INC_PATH = @TCL_INC_PATH@
475 TK_INC_PATH = @TK_INC_PATH@
476 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
477 UMFPACK_ENABLE = @UMFPACK_ENABLE@
478 UMFPACK_LIB = @UMFPACK_LIB@
479 USE_NLS = @USE_NLS@
480 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
481 VALGRIND_LIBS = @VALGRIND_LIBS@
482 VERSION = @VERSION@
483 WITH_OCAML = @WITH_OCAML@
484 WITH_TKSCI = @WITH_TKSCI@
485 XCOS_ENABLE = @XCOS_ENABLE@
486 XGETTEXT = @XGETTEXT@
487 XGETTEXT_015 = @XGETTEXT_015@
488 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
489 XMKMF = @XMKMF@
490 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
491 XML_APIS_EXT = @XML_APIS_EXT@
492 XML_CONFIG = @XML_CONFIG@
493 XML_FLAGS = @XML_FLAGS@
494 XML_LIBS = @XML_LIBS@
495 XML_VERSION = @XML_VERSION@
496 X_CFLAGS = @X_CFLAGS@
497 X_EXTRA_LIBS = @X_EXTRA_LIBS@
498 X_LIBS = @X_LIBS@
499 X_PRE_LIBS = @X_PRE_LIBS@
500 YACC = @YACC@
501 YFLAGS = @YFLAGS@
502 abs_builddir = @abs_builddir@
503 abs_srcdir = @abs_srcdir@
504 abs_top_builddir = @abs_top_builddir@
505 abs_top_srcdir = @abs_top_srcdir@
506 ac_ct_AR = @ac_ct_AR@
507 ac_ct_CC = @ac_ct_CC@
508 ac_ct_CXX = @ac_ct_CXX@
509 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
510 ac_ct_F77 = @ac_ct_F77@
511 am__include = @am__include@
512 am__leading_dot = @am__leading_dot@
513 am__quote = @am__quote@
514 am__tar = @am__tar@
515 am__untar = @am__untar@
516 bindir = @bindir@
517 build = @build@
518 build_alias = @build_alias@
519 build_cpu = @build_cpu@
520 build_os = @build_os@
521 build_vendor = @build_vendor@
522 builddir = @builddir@
523 cxx_present = @cxx_present@
524 datadir = @datadir@
525 datarootdir = @datarootdir@
526 docdir = @docdir@
527 dvidir = @dvidir@
528 exec_prefix = @exec_prefix@
529 host = @host@
530 host_alias = @host_alias@
531 host_cpu = @host_cpu@
532 host_os = @host_os@
533 host_vendor = @host_vendor@
534 htmldir = @htmldir@
535 includedir = @includedir@
536 infodir = @infodir@
537 install_sh = @install_sh@
538 libdir = @libdir@
539 libexecdir = @libexecdir@
540 localedir = @localedir@
541 localstatedir = @localstatedir@
542 mandir = @mandir@
543 mkdir_p = @mkdir_p@
544 oldincludedir = @oldincludedir@
545 pdfdir = @pdfdir@
546 prefix = @prefix@
547 program_transform_name = @program_transform_name@
548 psdir = @psdir@
549 sbindir = @sbindir@
550 sharedstatedir = @sharedstatedir@
551 srcdir = @srcdir@
552 sysconfdir = @sysconfdir@
553 target_alias = @target_alias@
554 top_build_prefix = @top_build_prefix@
555 top_builddir = @top_builddir@
556 top_srcdir = @top_srcdir@
557 yacc_present = @yacc_present@
558 ARNOLDI_C_SOURCES = \
559     src/c/eigs.c \
560     src/c/eigs_dependencies.c
561
562 GATEWAY_C_SOURCES = \
563     sci_gateway/c/sci_zneupd \
564     sci_gateway/c/sci_dseupd.c \
565     sci_gateway/c/sci_zneupd.c \
566     sci_gateway/c/sci_dnaupd.c \
567     sci_gateway/c/sci_dneupd.c \
568     sci_gateway/c/sci_dsaupd.c \
569     sci_gateway/c/sci_znaupd.c \
570     sci_gateway/c/sci_eigs.c
571
572 libsciarnoldi_la_CPPFLAGS = \
573     -I$(srcdir)/includes/ \
574     -I$(top_srcdir)/modules/ast/includes/ast/ \
575     -I$(top_srcdir)/modules/ast/includes/exps/ \
576     -I$(top_srcdir)/modules/ast/includes/operations/ \
577     -I$(top_srcdir)/modules/ast/includes/parse/ \
578     -I$(top_srcdir)/modules/ast/includes/symbol/ \
579     -I$(top_srcdir)/modules/ast/includes/system_env/ \
580     -I$(top_srcdir)/modules/ast/includes/types/ \
581     -I$(top_srcdir)/modules/ast/includes/analysis/ \
582     -I$(top_srcdir)/modules/api_scilab/includes/ \
583     -I$(top_srcdir)/modules/localization/includes/ \
584     -I$(top_srcdir)/modules/output_stream/includes/ \
585     -I$(top_srcdir)/modules/core/includes/ \
586     -I$(top_srcdir)/modules/elementary_functions/includes/ \
587     $(AM_CPPFLAGS)
588
589 pkglib_LTLIBRARIES = libsciarnoldi.la
590 libsciarnoldi_la_LDFLAGS = $(AM_LDFLAGS)
591 libsciarnoldi_la_LIBADD = $(BLAS_LIBS) $(LAPACK_LIBS) $(ARPACK_LIBS)
592 libsciarnoldi_la_SOURCES = $(ARNOLDI_C_SOURCES) $(GATEWAY_C_SOURCES)
593
594 # For the code check (splint)
595 CHECK_SRC = $(ARNOLDI_C_SOURCES) $(GATEWAY_C_SOURCES)
596 INCLUDE_FLAGS = $(libsciarnoldi_la_CPPFLAGS)
597
598 #### Target ######
599 modulename = arnoldi
600
601 #### arnoldi : Conf files ####
602 libsciarnoldi_la_rootdir = $(mydatadir)
603 libsciarnoldi_la_root_DATA = license.txt
604
605 #### arnoldi : init scripts ####
606 libsciarnoldi_la_etcdir = $(mydatadir)/etc
607 libsciarnoldi_la_etc_DATA = etc/arnoldi.quit etc/arnoldi.start
608
609 #### arnoldi : gateway declaration ####
610 libsciarnoldi_la_sci_gatewaydir = $(mydatadir)/sci_gateway
611 libsciarnoldi_la_sci_gateway_DATA = sci_gateway/arnoldi_gateway.xml
612
613 # Where all the Scilab stuff is installed (macros, help, ...)
614 mydatadir = $(pkgdatadir)/modules/$(modulename)
615
616 # Set AM_* SCI detected settings
617 AM_CPPFLAGS = $(SCI_CPPFLAGS)
618 AM_CFLAGS = $(SCI_CFLAGS)
619 AM_CXXFLAGS = $(SCI_CXXFLAGS)
620 # append includes to AM_FFLAGS to manage fortran includes
621 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
622
623 # Tag shared libraries with the Scilab version
624 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
625
626 # splint options
627 SPLINT_OPTIONS = -weak -booltype BOOL
628
629 ########################### JAVA ######################################
630 #### We are delegating java compilation to ant... Thanks to that
631 #### the procedure will be the same with Microsoft Windows (C)
632 #### and Linux/Unix
633 #######################################################################
634 TARGETS_ALL = $(am__append_1)
635
636 ################ MACROS ######################
637 # Rule to build a macro
638 # NOT USED  AT THE MOMENT
639 SUFFIXES = .sci 
640
641 ########### INSTALL DOCUMENTATION ###################
642
643 # Install documentation files into the right target
644 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
645 # automake needs the html files to be present which is not the case when
646 # we are building Scilab
647
648 # Where it should be installed
649 pkgdocdir = $(mydatadir)
650
651 # What is the mask of the help source
652 DOCMASKXML = *.xml
653
654 # What is the mask of the MathML sources
655 DOCMASKMML = *.mml
656
657 ########### INSTALL DATA ###################
658 # Install macros, help & demos
659 # Where it should be installed
660 pkgmacrosdir = $(mydatadir)
661 # Which directory we process
662 MACRODIRS = macros/
663 # Mask of the Scilab sources macros
664 MACROMASK = *.sci
665 # Mask of the Scilab executable sources macros
666 MACROBUILDMASK = *.sce
667 # Mask of the Scilab compiled macros
668 MACROBINMASK = *.bin
669 # List of the standard directory for tests
670 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
671 # Where the demos should be installed
672 pkgdemosdir = $(mydatadir)
673 # List of the standard directory for demos
674 DEMOS_DIR = demos
675 # List of the standard directory for examples
676 EXAMPLES_DIR = examples
677 # Where to export JAVA archives (.jar)
678 JARDIR = jar/
679 # JAR files mask
680 JARMASK = *.jar
681 # Chapter file 
682 HELP_CHAPTERDIR = help/
683 HELP_CHAPTERFILE = addchapter.sce
684 HELP_CHAPTERLANG = en_US fr_FR pt_BR
685 all: all-am
686
687 .SUFFIXES:
688 .SUFFIXES: .sci .bin .c .lo .o .obj
689 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
690         @for dep in $?; do \
691           case '$(am__configure_deps)' in \
692             *$$dep*) \
693               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
694                 && { if test -f $@; then exit 0; else break; fi; }; \
695               exit 1;; \
696           esac; \
697         done; \
698         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/arnoldi/Makefile'; \
699         $(am__cd) $(top_srcdir) && \
700           $(AUTOMAKE) --foreign modules/arnoldi/Makefile
701 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
702         @case '$?' in \
703           *config.status*) \
704             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
705           *) \
706             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
707             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
708         esac;
709 $(top_srcdir)/Makefile.incl.am $(am__empty):
710
711 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
712         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
713
714 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
715         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
717         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
718 $(am__aclocal_m4_deps):
719
720 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
721         @$(NORMAL_INSTALL)
722         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
723         list2=; for p in $$list; do \
724           if test -f $$p; then \
725             list2="$$list2 $$p"; \
726           else :; fi; \
727         done; \
728         test -z "$$list2" || { \
729           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
730           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
731           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
732           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
733         }
734
735 uninstall-pkglibLTLIBRARIES:
736         @$(NORMAL_UNINSTALL)
737         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
738         for p in $$list; do \
739           $(am__strip_dir) \
740           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
741           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
742         done
743
744 clean-pkglibLTLIBRARIES:
745         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
746         @list='$(pkglib_LTLIBRARIES)'; \
747         locs=`for p in $$list; do echo $$p; done | \
748               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
749               sort -u`; \
750         test -z "$$locs" || { \
751           echo rm -f $${locs}; \
752           rm -f $${locs}; \
753         }
754 src/c/$(am__dirstamp):
755         @$(MKDIR_P) src/c
756         @: > src/c/$(am__dirstamp)
757 src/c/$(DEPDIR)/$(am__dirstamp):
758         @$(MKDIR_P) src/c/$(DEPDIR)
759         @: > src/c/$(DEPDIR)/$(am__dirstamp)
760 src/c/libsciarnoldi_la-eigs.lo: src/c/$(am__dirstamp) \
761         src/c/$(DEPDIR)/$(am__dirstamp)
762 src/c/libsciarnoldi_la-eigs_dependencies.lo: src/c/$(am__dirstamp) \
763         src/c/$(DEPDIR)/$(am__dirstamp)
764 sci_gateway/c/$(am__dirstamp):
765         @$(MKDIR_P) sci_gateway/c
766         @: > sci_gateway/c/$(am__dirstamp)
767 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
768         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
769         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
770 sci_gateway/c/libsciarnoldi_la-sci_dseupd.lo:  \
771         sci_gateway/c/$(am__dirstamp) \
772         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
773 sci_gateway/c/libsciarnoldi_la-sci_zneupd.lo:  \
774         sci_gateway/c/$(am__dirstamp) \
775         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
776 sci_gateway/c/libsciarnoldi_la-sci_dnaupd.lo:  \
777         sci_gateway/c/$(am__dirstamp) \
778         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
779 sci_gateway/c/libsciarnoldi_la-sci_dneupd.lo:  \
780         sci_gateway/c/$(am__dirstamp) \
781         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
782 sci_gateway/c/libsciarnoldi_la-sci_dsaupd.lo:  \
783         sci_gateway/c/$(am__dirstamp) \
784         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
785 sci_gateway/c/libsciarnoldi_la-sci_znaupd.lo:  \
786         sci_gateway/c/$(am__dirstamp) \
787         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
788 sci_gateway/c/libsciarnoldi_la-sci_eigs.lo:  \
789         sci_gateway/c/$(am__dirstamp) \
790         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
791
792 libsciarnoldi.la: $(libsciarnoldi_la_OBJECTS) $(libsciarnoldi_la_DEPENDENCIES) $(EXTRA_libsciarnoldi_la_DEPENDENCIES) 
793         $(AM_V_CCLD)$(libsciarnoldi_la_LINK) -rpath $(pkglibdir) $(libsciarnoldi_la_OBJECTS) $(libsciarnoldi_la_LIBADD) $(LIBS)
794
795 mostlyclean-compile:
796         -rm -f *.$(OBJEXT)
797         -rm -f sci_gateway/c/*.$(OBJEXT)
798         -rm -f sci_gateway/c/*.lo
799         -rm -f src/c/*.$(OBJEXT)
800         -rm -f src/c/*.lo
801
802 distclean-compile:
803         -rm -f *.tab.c
804
805 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Plo@am__quote@
806 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dneupd.Plo@am__quote@
807 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Plo@am__quote@
808 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dseupd.Plo@am__quote@
809 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_eigs.Plo@am__quote@
810 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_znaupd.Plo@am__quote@
811 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_zneupd.Plo@am__quote@
812 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciarnoldi_la-eigs.Plo@am__quote@
813 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciarnoldi_la-eigs_dependencies.Plo@am__quote@
814
815 .c.o:
816 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
817 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
818 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
819 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
820 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
821 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
822
823 .c.obj:
824 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
825 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
826 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
827 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
830
831 .c.lo:
832 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
833 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
834 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
837 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
838
839 src/c/libsciarnoldi_la-eigs.lo: src/c/eigs.c
840 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciarnoldi_la-eigs.lo -MD -MP -MF src/c/$(DEPDIR)/libsciarnoldi_la-eigs.Tpo -c -o src/c/libsciarnoldi_la-eigs.lo `test -f 'src/c/eigs.c' || echo '$(srcdir)/'`src/c/eigs.c
841 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciarnoldi_la-eigs.Tpo src/c/$(DEPDIR)/libsciarnoldi_la-eigs.Plo
842 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/eigs.c' object='src/c/libsciarnoldi_la-eigs.lo' libtool=yes @AMDEPBACKSLASH@
843 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
844 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciarnoldi_la-eigs.lo `test -f 'src/c/eigs.c' || echo '$(srcdir)/'`src/c/eigs.c
845
846 src/c/libsciarnoldi_la-eigs_dependencies.lo: src/c/eigs_dependencies.c
847 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciarnoldi_la-eigs_dependencies.lo -MD -MP -MF src/c/$(DEPDIR)/libsciarnoldi_la-eigs_dependencies.Tpo -c -o src/c/libsciarnoldi_la-eigs_dependencies.lo `test -f 'src/c/eigs_dependencies.c' || echo '$(srcdir)/'`src/c/eigs_dependencies.c
848 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciarnoldi_la-eigs_dependencies.Tpo src/c/$(DEPDIR)/libsciarnoldi_la-eigs_dependencies.Plo
849 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/eigs_dependencies.c' object='src/c/libsciarnoldi_la-eigs_dependencies.lo' libtool=yes @AMDEPBACKSLASH@
850 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
851 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciarnoldi_la-eigs_dependencies.lo `test -f 'src/c/eigs_dependencies.c' || echo '$(srcdir)/'`src/c/eigs_dependencies.c
852
853 sci_gateway/c/libsciarnoldi_la-sci_dseupd.lo: sci_gateway/c/sci_dseupd.c
854 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciarnoldi_la-sci_dseupd.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dseupd.Tpo -c -o sci_gateway/c/libsciarnoldi_la-sci_dseupd.lo `test -f 'sci_gateway/c/sci_dseupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dseupd.c
855 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dseupd.Tpo sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dseupd.Plo
856 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_dseupd.c' object='sci_gateway/c/libsciarnoldi_la-sci_dseupd.lo' libtool=yes @AMDEPBACKSLASH@
857 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
858 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciarnoldi_la-sci_dseupd.lo `test -f 'sci_gateway/c/sci_dseupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dseupd.c
859
860 sci_gateway/c/libsciarnoldi_la-sci_zneupd.lo: sci_gateway/c/sci_zneupd.c
861 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciarnoldi_la-sci_zneupd.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_zneupd.Tpo -c -o sci_gateway/c/libsciarnoldi_la-sci_zneupd.lo `test -f 'sci_gateway/c/sci_zneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_zneupd.c
862 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_zneupd.Tpo sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_zneupd.Plo
863 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_zneupd.c' object='sci_gateway/c/libsciarnoldi_la-sci_zneupd.lo' libtool=yes @AMDEPBACKSLASH@
864 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
865 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciarnoldi_la-sci_zneupd.lo `test -f 'sci_gateway/c/sci_zneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_zneupd.c
866
867 sci_gateway/c/libsciarnoldi_la-sci_dnaupd.lo: sci_gateway/c/sci_dnaupd.c
868 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciarnoldi_la-sci_dnaupd.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Tpo -c -o sci_gateway/c/libsciarnoldi_la-sci_dnaupd.lo `test -f 'sci_gateway/c/sci_dnaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dnaupd.c
869 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Tpo sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dnaupd.Plo
870 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_dnaupd.c' object='sci_gateway/c/libsciarnoldi_la-sci_dnaupd.lo' libtool=yes @AMDEPBACKSLASH@
871 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
872 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciarnoldi_la-sci_dnaupd.lo `test -f 'sci_gateway/c/sci_dnaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dnaupd.c
873
874 sci_gateway/c/libsciarnoldi_la-sci_dneupd.lo: sci_gateway/c/sci_dneupd.c
875 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciarnoldi_la-sci_dneupd.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dneupd.Tpo -c -o sci_gateway/c/libsciarnoldi_la-sci_dneupd.lo `test -f 'sci_gateway/c/sci_dneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dneupd.c
876 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dneupd.Tpo sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dneupd.Plo
877 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_dneupd.c' object='sci_gateway/c/libsciarnoldi_la-sci_dneupd.lo' libtool=yes @AMDEPBACKSLASH@
878 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
879 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciarnoldi_la-sci_dneupd.lo `test -f 'sci_gateway/c/sci_dneupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dneupd.c
880
881 sci_gateway/c/libsciarnoldi_la-sci_dsaupd.lo: sci_gateway/c/sci_dsaupd.c
882 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciarnoldi_la-sci_dsaupd.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Tpo -c -o sci_gateway/c/libsciarnoldi_la-sci_dsaupd.lo `test -f 'sci_gateway/c/sci_dsaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dsaupd.c
883 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Tpo sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_dsaupd.Plo
884 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_dsaupd.c' object='sci_gateway/c/libsciarnoldi_la-sci_dsaupd.lo' libtool=yes @AMDEPBACKSLASH@
885 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
886 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciarnoldi_la-sci_dsaupd.lo `test -f 'sci_gateway/c/sci_dsaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dsaupd.c
887
888 sci_gateway/c/libsciarnoldi_la-sci_znaupd.lo: sci_gateway/c/sci_znaupd.c
889 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciarnoldi_la-sci_znaupd.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_znaupd.Tpo -c -o sci_gateway/c/libsciarnoldi_la-sci_znaupd.lo `test -f 'sci_gateway/c/sci_znaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_znaupd.c
890 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_znaupd.Tpo sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_znaupd.Plo
891 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_znaupd.c' object='sci_gateway/c/libsciarnoldi_la-sci_znaupd.lo' libtool=yes @AMDEPBACKSLASH@
892 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
893 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciarnoldi_la-sci_znaupd.lo `test -f 'sci_gateway/c/sci_znaupd.c' || echo '$(srcdir)/'`sci_gateway/c/sci_znaupd.c
894
895 sci_gateway/c/libsciarnoldi_la-sci_eigs.lo: sci_gateway/c/sci_eigs.c
896 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciarnoldi_la-sci_eigs.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_eigs.Tpo -c -o sci_gateway/c/libsciarnoldi_la-sci_eigs.lo `test -f 'sci_gateway/c/sci_eigs.c' || echo '$(srcdir)/'`sci_gateway/c/sci_eigs.c
897 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_eigs.Tpo sci_gateway/c/$(DEPDIR)/libsciarnoldi_la-sci_eigs.Plo
898 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_eigs.c' object='sci_gateway/c/libsciarnoldi_la-sci_eigs.lo' libtool=yes @AMDEPBACKSLASH@
899 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
900 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciarnoldi_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciarnoldi_la-sci_eigs.lo `test -f 'sci_gateway/c/sci_eigs.c' || echo '$(srcdir)/'`sci_gateway/c/sci_eigs.c
901
902 mostlyclean-libtool:
903         -rm -f *.lo
904
905 clean-libtool:
906         -rm -rf .libs _libs
907         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
908         -rm -rf src/c/.libs src/c/_libs
909 install-libsciarnoldi_la_etcDATA: $(libsciarnoldi_la_etc_DATA)
910         @$(NORMAL_INSTALL)
911         @list='$(libsciarnoldi_la_etc_DATA)'; test -n "$(libsciarnoldi_la_etcdir)" || list=; \
912         if test -n "$$list"; then \
913           echo " $(MKDIR_P) '$(DESTDIR)$(libsciarnoldi_la_etcdir)'"; \
914           $(MKDIR_P) "$(DESTDIR)$(libsciarnoldi_la_etcdir)" || exit 1; \
915         fi; \
916         for p in $$list; do \
917           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
918           echo "$$d$$p"; \
919         done | $(am__base_list) | \
920         while read files; do \
921           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciarnoldi_la_etcdir)'"; \
922           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciarnoldi_la_etcdir)" || exit $$?; \
923         done
924
925 uninstall-libsciarnoldi_la_etcDATA:
926         @$(NORMAL_UNINSTALL)
927         @list='$(libsciarnoldi_la_etc_DATA)'; test -n "$(libsciarnoldi_la_etcdir)" || list=; \
928         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
929         dir='$(DESTDIR)$(libsciarnoldi_la_etcdir)'; $(am__uninstall_files_from_dir)
930 install-libsciarnoldi_la_rootDATA: $(libsciarnoldi_la_root_DATA)
931         @$(NORMAL_INSTALL)
932         @list='$(libsciarnoldi_la_root_DATA)'; test -n "$(libsciarnoldi_la_rootdir)" || list=; \
933         if test -n "$$list"; then \
934           echo " $(MKDIR_P) '$(DESTDIR)$(libsciarnoldi_la_rootdir)'"; \
935           $(MKDIR_P) "$(DESTDIR)$(libsciarnoldi_la_rootdir)" || exit 1; \
936         fi; \
937         for p in $$list; do \
938           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
939           echo "$$d$$p"; \
940         done | $(am__base_list) | \
941         while read files; do \
942           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciarnoldi_la_rootdir)'"; \
943           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciarnoldi_la_rootdir)" || exit $$?; \
944         done
945
946 uninstall-libsciarnoldi_la_rootDATA:
947         @$(NORMAL_UNINSTALL)
948         @list='$(libsciarnoldi_la_root_DATA)'; test -n "$(libsciarnoldi_la_rootdir)" || list=; \
949         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
950         dir='$(DESTDIR)$(libsciarnoldi_la_rootdir)'; $(am__uninstall_files_from_dir)
951 install-libsciarnoldi_la_sci_gatewayDATA: $(libsciarnoldi_la_sci_gateway_DATA)
952         @$(NORMAL_INSTALL)
953         @list='$(libsciarnoldi_la_sci_gateway_DATA)'; test -n "$(libsciarnoldi_la_sci_gatewaydir)" || list=; \
954         if test -n "$$list"; then \
955           echo " $(MKDIR_P) '$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)'"; \
956           $(MKDIR_P) "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)" || exit 1; \
957         fi; \
958         for p in $$list; do \
959           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
960           echo "$$d$$p"; \
961         done | $(am__base_list) | \
962         while read files; do \
963           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)'"; \
964           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)" || exit $$?; \
965         done
966
967 uninstall-libsciarnoldi_la_sci_gatewayDATA:
968         @$(NORMAL_UNINSTALL)
969         @list='$(libsciarnoldi_la_sci_gateway_DATA)'; test -n "$(libsciarnoldi_la_sci_gatewaydir)" || list=; \
970         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
971         dir='$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
972
973 ID: $(am__tagged_files)
974         $(am__define_uniq_tagged_files); mkid -fID $$unique
975 tags: tags-am
976 TAGS: tags
977
978 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
979         set x; \
980         here=`pwd`; \
981         $(am__define_uniq_tagged_files); \
982         shift; \
983         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
984           test -n "$$unique" || unique=$$empty_fix; \
985           if test $$# -gt 0; then \
986             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
987               "$$@" $$unique; \
988           else \
989             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
990               $$unique; \
991           fi; \
992         fi
993 ctags: ctags-am
994
995 CTAGS: ctags
996 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
997         $(am__define_uniq_tagged_files); \
998         test -z "$(CTAGS_ARGS)$$unique" \
999           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1000              $$unique
1001
1002 GTAGS:
1003         here=`$(am__cd) $(top_builddir) && pwd` \
1004           && $(am__cd) $(top_srcdir) \
1005           && gtags -i $(GTAGS_ARGS) "$$here"
1006 cscopelist: cscopelist-am
1007
1008 cscopelist-am: $(am__tagged_files)
1009         list='$(am__tagged_files)'; \
1010         case "$(srcdir)" in \
1011           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1012           *) sdir=$(subdir)/$(srcdir) ;; \
1013         esac; \
1014         for i in $$list; do \
1015           if test -f "$$i"; then \
1016             echo "$(subdir)/$$i"; \
1017           else \
1018             echo "$$sdir/$$i"; \
1019           fi; \
1020         done >> $(top_builddir)/cscope.files
1021
1022 distclean-tags:
1023         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1024
1025 distdir: $(DISTFILES)
1026         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1027         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1028         list='$(DISTFILES)'; \
1029           dist_files=`for file in $$list; do echo $$file; done | \
1030           sed -e "s|^$$srcdirstrip/||;t" \
1031               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1032         case $$dist_files in \
1033           */*) $(MKDIR_P) `echo "$$dist_files" | \
1034                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1035                            sort -u` ;; \
1036         esac; \
1037         for file in $$dist_files; do \
1038           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1039           if test -d $$d/$$file; then \
1040             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1041             if test -d "$(distdir)/$$file"; then \
1042               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1043             fi; \
1044             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1045               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1046               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1047             fi; \
1048             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1049           else \
1050             test -f "$(distdir)/$$file" \
1051             || cp -p $$d/$$file "$(distdir)/$$file" \
1052             || exit 1; \
1053           fi; \
1054         done
1055 check-am: all-am
1056         $(MAKE) $(AM_MAKEFLAGS) check-local
1057 check: check-am
1058 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1059 installdirs:
1060         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciarnoldi_la_etcdir)" "$(DESTDIR)$(libsciarnoldi_la_rootdir)" "$(DESTDIR)$(libsciarnoldi_la_sci_gatewaydir)"; do \
1061           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1062         done
1063 install: install-am
1064 install-exec: install-exec-am
1065 install-data: install-data-am
1066 uninstall: uninstall-am
1067
1068 install-am: all-am
1069         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1070
1071 installcheck: installcheck-am
1072 install-strip:
1073         if test -z '$(STRIP)'; then \
1074           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1075             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1076               install; \
1077         else \
1078           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1079             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1080             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1081         fi
1082 mostlyclean-generic:
1083
1084 clean-generic:
1085
1086 distclean-generic:
1087         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1088         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1089         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1090         -rm -f sci_gateway/c/$(am__dirstamp)
1091         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1092         -rm -f src/c/$(am__dirstamp)
1093
1094 maintainer-clean-generic:
1095         @echo "This command is intended for maintainers to use"
1096         @echo "it deletes files that may require special tools to rebuild."
1097 clean: clean-am
1098
1099 clean-am: clean-generic clean-libtool clean-local \
1100         clean-pkglibLTLIBRARIES mostlyclean-am
1101
1102 distclean: distclean-am
1103         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR)
1104         -rm -f Makefile
1105 distclean-am: clean-am distclean-compile distclean-generic \
1106         distclean-local distclean-tags
1107
1108 dvi: dvi-am
1109
1110 dvi-am:
1111
1112 html: html-am
1113
1114 html-am:
1115
1116 info: info-am
1117
1118 info-am:
1119
1120 install-data-am: install-data-local install-libsciarnoldi_la_etcDATA \
1121         install-libsciarnoldi_la_rootDATA \
1122         install-libsciarnoldi_la_sci_gatewayDATA
1123
1124 install-dvi: install-dvi-am
1125
1126 install-dvi-am:
1127
1128 install-exec-am: install-pkglibLTLIBRARIES
1129
1130 install-html: install-html-am
1131
1132 install-html-am: install-html-local
1133
1134 install-info: install-info-am
1135
1136 install-info-am:
1137
1138 install-man:
1139
1140 install-pdf: install-pdf-am
1141
1142 install-pdf-am:
1143
1144 install-ps: install-ps-am
1145
1146 install-ps-am:
1147
1148 installcheck-am:
1149
1150 maintainer-clean: maintainer-clean-am
1151         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR)
1152         -rm -f Makefile
1153 maintainer-clean-am: distclean-am maintainer-clean-generic
1154
1155 mostlyclean: mostlyclean-am
1156
1157 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1158         mostlyclean-libtool
1159
1160 pdf: pdf-am
1161
1162 pdf-am:
1163
1164 ps: ps-am
1165
1166 ps-am:
1167
1168 uninstall-am: uninstall-libsciarnoldi_la_etcDATA \
1169         uninstall-libsciarnoldi_la_rootDATA \
1170         uninstall-libsciarnoldi_la_sci_gatewayDATA \
1171         uninstall-pkglibLTLIBRARIES
1172
1173 .MAKE: check-am install-am install-strip
1174
1175 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1176         check-local clean clean-generic clean-libtool clean-local \
1177         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1178         distclean-compile distclean-generic distclean-libtool \
1179         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1180         info info-am install install-am install-data install-data-am \
1181         install-data-local install-dvi install-dvi-am install-exec \
1182         install-exec-am install-html install-html-am \
1183         install-html-local install-info install-info-am \
1184         install-libsciarnoldi_la_etcDATA \
1185         install-libsciarnoldi_la_rootDATA \
1186         install-libsciarnoldi_la_sci_gatewayDATA install-man \
1187         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1188         install-ps install-ps-am install-strip installcheck \
1189         installcheck-am installdirs maintainer-clean \
1190         maintainer-clean-generic mostlyclean mostlyclean-compile \
1191         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1192         tags tags-am uninstall uninstall-am \
1193         uninstall-libsciarnoldi_la_etcDATA \
1194         uninstall-libsciarnoldi_la_rootDATA \
1195         uninstall-libsciarnoldi_la_sci_gatewayDATA \
1196         uninstall-pkglibLTLIBRARIES
1197
1198 .PRECIOUS: Makefile
1199
1200
1201 # This target enables tests for Scilab
1202 check-local: $(top_builddir)/scilab-bin test
1203         if test -d $(mydatadir)/tests; then \
1204           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1205         fi
1206 check-code:
1207         if test -f build.xml; then \
1208                 $(ANT) checkstyle; \
1209         fi
1210         if test -x "$(SPLINT)"; then \
1211                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1212         fi
1213 @NEED_JAVA_TRUE@java:
1214 # Some configurations needs to export JAVA_HOME in the current env
1215 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1216 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1217 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1218 @NEED_JAVA_TRUE@                $(ANT); \
1219 @NEED_JAVA_TRUE@        fi
1220
1221 @NEED_JAVA_TRUE@clean-java:
1222 # Some configurations needs to export JAVA_HOME in the current env
1223 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1224 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1225 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1226 @NEED_JAVA_TRUE@                $(ANT) clean; \
1227 @NEED_JAVA_TRUE@        fi;
1228
1229 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1230 # We call the target swig-build on the variable SWIG_WRAPPERS
1231
1232 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1233 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1234 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1235 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1236 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1237 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1238 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1239 @SWIG_TRUE@             done; \
1240 @SWIG_TRUE@     fi
1241
1242 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1243 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1244 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1245 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1246 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1247 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1248 @SWIG_TRUE@             done; \
1249 @SWIG_TRUE@     fi
1250
1251 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1252 # We call the target swig-build on the variable SWIG_WRAPPERS
1253
1254 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1255 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1256 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1257 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1258 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1259 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1260 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1261 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1262 @GIWS_TRUE@                     else \
1263 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1264 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1265 @GIWS_TRUE@                     fi \
1266 @GIWS_TRUE@             done; \
1267 @GIWS_TRUE@     fi
1268
1269 @GIWS_TRUE@giws-exception:
1270 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1271 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1272 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1273
1274 macros:
1275         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1276                 echo "Error : Cannot build $< : Scilab has not been built"; \
1277         else \
1278                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1279         fi)
1280
1281 # Removes the macros
1282 clean-macros:
1283 # Removes macros (*.bin generated from .sci)
1284         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1285                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1286                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1287         done
1288
1289 test:
1290 # More tests could be added here
1291         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1292         if test -f build.xml -a $$USEANT -eq 1; then \
1293                 $(ANT) test; \
1294         fi
1295
1296 all-local: $(TARGETS_ALL)
1297
1298 .sci.bin:
1299         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1300         echo "Error : Cannot build $< : Scilab has not been build"; \
1301         else \
1302         echo "Creating $@"; \
1303         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1304         fi )
1305
1306 install-html-local:
1307
1308 install-data-local-local:
1309 # Mainly for javasci
1310         @if test -d $(srcdir)/javadoc; then \
1311                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1312         fi
1313 # If the user wants the help sources to be installed
1314 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1315 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1316 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1317 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1318 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1319 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1320 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1321 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1322 @INSTALL_HELP_XML_TRUE@           done ; \
1323 @INSTALL_HELP_XML_TRUE@         fi; \
1324 @INSTALL_HELP_XML_TRUE@  fi; \
1325 @INSTALL_HELP_XML_TRUE@ done; \
1326 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1327 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1328 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1329 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1330 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1331 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1332 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1333 @INSTALL_HELP_XML_TRUE@           done ; \
1334 @INSTALL_HELP_XML_TRUE@         fi; \
1335 @INSTALL_HELP_XML_TRUE@ fi
1336 install-data-local:
1337 # Install the tests
1338         @echo "-------- Install tests (if any) --------"; \
1339         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1340           if test -d $(srcdir)/$$dir/; then \
1341             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1342                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1343                     if test -d "$(srcdir)/$$dir/$$file"; then \
1344                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1345                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1346                     else \
1347                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1348                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1349                     fi \
1350                   done; \
1351           fi; \
1352         done
1353 # Install the help chapter
1354         @echo "-------- Install the help chapter (if any) --------"; \
1355         for lang in $(HELP_CHAPTERLANG); do \
1356                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1357                 if test -f $$HELPFILE; then \
1358                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1359                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1360                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1361                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1362                 fi; \
1363         done
1364 # Install the demos & examples
1365         @echo "-------- Install demos & examples (if any) --------"; \
1366         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1367           if test -d $(srcdir)/$$dir/; then \
1368             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1369                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1370                     if test -d "$(srcdir)/$$dir/$$file"; then \
1371                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1372                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1373                     else \
1374                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1375                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1376                     fi \
1377                   done; \
1378           fi; \
1379         done
1380 # Install the macros
1381         @echo "-------- Install macros (if any) --------"; \
1382         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1383           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1384                 if test -d $(srcdir)/$$dir/; then \
1385                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1386                         if test -n "$(MACROSSPECIALEXT)"; then \
1387                                 specialExtDir=""; \
1388                                 for specialExt in $(MACROSSPECIALEXT); do \
1389                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1390                                 done; \
1391                                 FILELIST="$$FILELIST $$specialExtDir"; \
1392                         fi; \
1393                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1394                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1395                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1396                   done; \
1397                 fi; \
1398         done
1399 # Install java files (.jar)
1400         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1401         echo "-------- Install jar files --------"; \
1402     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1403           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1404                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1405                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1406           done ; \
1407         fi
1408
1409 ########### CLEAN ###################
1410 # Clean help (generated automatically by Scilab)
1411 # It used to clean the macro (clean-macros) but this was causing
1412 # make clean && make to fail Scilab startup
1413 @NEED_JAVA_TRUE@clean-local: clean-java
1414 @NEED_JAVA_FALSE@clean-local:
1415
1416 distclean-local:
1417         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1418
1419 .PHONY: macros java swig giws
1420
1421 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1422 # Otherwise a system limit (for SysV at least) may be exceeded.
1423 .NOEXPORT: